FINDMNT(8)

NAMN
findmnt - hitta ett filsystem

SYNOPSIS

findmnt [flaggor]

findmnt [flaggor] enhet|monteringspunkt

findmnt [flaggor] [--source] enhet [--target sökväg|--mountpoint monteringspunkt]

BESKRIVNING

findmnt listar alla monterade filsystem eller söker efter ett filsystem. Kommandot findmnt kan söka i /etc/fstab, /etc/mtab eller /proc/self/mountinfo. Om enhet eller monteringspunkt inte anges visas alla filsystem.

Enheten kan anges med enhetsnamn, major:minor-nummer, filsystemets etikett eller UUID, eller partitionens etikett eller UUID. Observera att findmnt följer mount(8)-beteendet där ett enhetsnamn kan tolkas som en monteringspunkt (och vice versa) om flaggorna --target, --mountpoint eller --source inte anges.

Kommandoradsflaggan --target accepterar valfri fil eller katalog och sedan visar findmnt filsystemet för den angivna sökvägen.

Kommandot skriver ut alla monterade filsystem i ett trädliknande format som standard. Standardutskriften kan komma att ändras. Så när det är möjligt bör du undvika att använda standardutdata i dina skript. Definiera alltid förväntade kolumner explicit med hjälp av --output columns-list i miljöer där en stabil utdata krävs.

Förhållandet mellan blockenheter och filsystem är inte alltid ett till ett. Filsystemet kan använda fler blockenheter. Det är därför findmnt har kolumnerna SOURCE och SOURCES (pl.). Kolumnen SOURCES visar alla enheter där det är möjligt att hitta samma UUID för filsystemet (eller en annan tagg som anges i fstab när den körs med --fstab och --evaluate).

FLAGGOR

-A, --all
    Inaktivera alla inbyggda filter och skriv ut alla filsystem.

-a, --ascii
    Använd ascii-tecken för trädformatering.

-b, --bytes
    Print sizes in bytes rather than in human-readable form.

    By default, sizes are shown in units that are powers of 1024 bytes. The formal abbreviations for these units (KiB, MiB, GiB, ...) are further shortened to just their first letter: K, M, G, ....

-C, --nocanonicalize
    Kanonisera inte sökvägar alls. Denna flagga påverkar jämförelsen av sökvägar och utvärderingen av taggar (LABEL, UUID, etc.).

-c, --canonicalize
    Kanonisera alla utskrivna vägar.

-D, --df
    Imiterar utdata från df(1). Denna flagga motsvarar -o SOURCE,FSTYPE,SIZE,USED,AVAIL,USE%,TARGET men utesluter alla pseudofilsystem. Använd --all för att skriva ut alla filsystem. Se även flaggorna -I, --dfi.

-d, --direction word
    Sökriktning, antingen framåt eller bakåt.

-e, --evaluate
    Konvertera alla taggar (LABEL, UUID, PARTUUID eller PARTLABEL) till motsvarande enhetsnamn för kolumnen SOURCE. Det är en ovanlig situation, men samma tagg kan dupliceras (användas för flera enheter). För detta ändamål finns det en kolumn SOURCES (pl.). I denna kolumn visas i en cell med flera rader alla enheter där taggen har upptäckts av libblkid. Denna flagga är endast meningsfullt för fstab.

-F, --tab-file sökväg
    Sök i en alternativ fil. Om det används med --fstab, --mtab eller --kernel åsidosätter det standardsökvägarna. Om det anges mer än en gång inaktiveras trädliknande utdata (se flaggan --list).

-f, --first-only
    Skriv endast ut det första matchande filsystemet.

-H, --list-columns
    List the columns that can be specified with the --output option. Can be used with --json or --raw to get the list in a machine-readable format.

--hyperlink[=when]
    Print paths as terminal hyperlinks. The optional when argument can be always, never, or auto. If the argument is omitted, it defaults to auto, which means that hyperlinks will only be used when the output goes to a terminal.

-I, --dfi
    Imiterar utdata från df(1) med dess flagga -i. Denna flagga motsvarar -o SOURCE,FSTYPE,INO.TOTAL,INO.USED,INO.AVAIL,INO.USE%,TARGET men utesluter alla pseudofilsystem. Använd --all för att skriva ut alla filsystem.

-i, --invert
    Invertera betydelsen av matchning.

--id nummer
    Välj ett filsystem med hjälp av ID för monteringsnoden.

--uniq-id nummer
    Välj ett filsystem med hjälp av 64-bitars ID för monteringsnoden, använd med flaggan --kernel=listmount.

-J, --json
    Använd JSON-utdataformat.

-k, --kernel[=method]
    Läser information om filsystem från kärnan. Detta är standardutmatningen. Formatet är trädliknande och innehåller endast monteringsflaggor som hanteras av kärnan (se även --mtab).

    The optional argument method is supported only for the long variant (--kernel). The short variant (-k) defaults to the mountinfo method for backward compatibility. The supported methods can be either:

        • mountinfo - det här är standardmetoden och den läser data från filen /proc/self/mountinfo.

        • listmount - This is an EXPERIMENTAL method that uses the listmount(2) and statmount(2) syscalls to generate the mount table. The output may not contain all details about mount nodes (for example, SOURCE is currently missing).

-l, --list
    Använd utmatningsformatet list. Detta utdataformat aktiveras automatiskt om utdata begränsas av flaggan -t, -O, -S eller -T och flaggan --submounts inte används eller om fler än en källfil (flaggan -F) anges.

-M, --mountpoint sökväg
    Definiera mountpoint-filen eller -katalogen explicit. Se även --target.

-m, --mtab
    Sök i /etc/mtab. Utdata är som standard i listformat (se --tree). Utdata kan innehålla monteringsflaggor för användarutrymme.

-N, --task tid
    Använd den alternativa namnrymden /proc/<tid>/mountinfo i stället för standardflaggan /proc/self/mountinfo. Om flaggan anges mer än en gång inaktiveras trädliknande utdata (se flaggan --list). Se även kommandot unshare(1).

-n, --noheadings
    Skriv inte ut någon rubrikrad.

-O, --options lista
    Begränsa uppsättningen utskrivna filsystem. Fler än en flagga kan anges i en kommaseparerad lista. Flaggorna -t och -O har kumulativ effekt. Det skiljer sig från -t genom att varje flagga matchas exakt; ett inledande no i början har inte någon global betydelse. "no" kan användas för enskilda objekt i listan. Tolkningen av prefixet "no" kan inaktiveras med prefixet "+".

-o, --output lista
    Definiera utdatakolumner. Se utdata --help för att få en lista över de kolumner som stöds för närvarande. Kolumnen TARGET innehåller trädformatering om flaggorna --list eller --raw inte har angetts.

    Standardlistan med kolumner kan utökas om lista anges i formatet +list (t.ex. findmnt -o +PROPAGATION).

--output-all
    Utmatning av nästan alla tillgängliga kolumner. De kolumner som kräver --poll ingår inte.

-P, --pairs
    Producerar utdata i form av nyckel="värde"-par. Alla potentiellt osäkra värde-tecken är hexadecalerade (\x<code>). Se även flaggan --shell.

    Observera att kolumnen SOURCES använder celler med flera rader. I dessa fall använder kolumnen en arrayliknande formatering i utdata, till exempel name=("aaa" "bbb" "ccc").

-p, --poll[=list]
    Övervaka ändringar i filen /proc/self/mountinfo. Åtgärder som stöds är: mount, umount, remount och move. Fler än en åtgärd kan anges i en kommaseparerad lista. Alla åtgärder övervakas som standard.

    Den tid som --poll blockeras kan begränsas med flaggorna --timeout eller --first-only.

    Standardkolumnerna använder alltid den nya versionen av informationen från mountinfo-filen, förutom åtgärden umount som baseras på den ursprungliga informationen som cachas av findmnt. Poll-läget gör det möjligt att använda extra kolumner:

    ÅTGÄRD
        namn på åtgärd för mount, umount, move eller remount; denna kolumn är aktiverad som standard

    ÄLDRE MÅL
        tillgänglig för umount- och flyttåtgärder

    GAMLA-OPTIONER
        tillgänglig för umount- och remount-åtgärder

--pseudo
    Skriv endast ut pseudofilsystem.

-Q, --filter expr
    Skriv bara ut de filsystem som uppfyller de villkor som anges av expr.

    Denna funktion är EXPERIMENTELL. Se även scols-filter(5). Inkludera t.ex. xfs som har mer än 50% free utrymme:

        findmnt -Q 'INO.USED < INO.AVAIL && FSTYPE == "xfs"'

-R, --submounts
    Skriv rekursivt ut alla submounts för de markerade filsystemen. Begränsningarna som definieras av flaggorna -t, -O, -S, -T och --direction tillämpas inte på submounts. Alla submounts skrivs alltid ut i trädliknande ordning. Flaggan aktiverar det trädliknande utmatningsformatet som standard. Denna flagga har ingen effekt för --mtab eller --fstab.

-r, --raw
    Använd råformat för utdata. Alla potentiellt osäkra tecken är hexadecalerade (\x<code>).

    Observera att kolumnen SOURCES använder celler med flera rader. I dessa fall kan kolumnen producera flera strängar på samma rad.

--real
    Skriv bara ut riktiga filsystem.

-S, --source spec
    Explicit definition av monteringskällan. Specifikationer som stöds är enhet, maj:min, LABEL=etikett, UUID=uuid, PARTLABEL=etikett och PARTUUID=uuid.

-s, --fstab
    Sök i /etc/fstab. Utdata är i listformat (se --list).

--shadowed
    Print only filesystems that are over-mounted by another filesystem.

-T, --target sökväg
    Definiera målet för monteringen. Om sökväg inte är en fil eller katalog för monteringspunkten kontrollerar findmnt elementen i sökväg i omvänd ordning för att få fram monteringspunkten (den här funktionen stöds endast vid sökning i kärnfiler och stöds inte för --fstab). Det rekommenderas att använda flaggan --mountpoint när kontroller av sökväg-element är oönskade och sökväg är en strikt specificerad monteringspunkt.

-t, --types lista
    Begränsa uppsättningen utskrivna filsystem. Mer än en typ kan anges i en kommaseparerad lista. Listan över filsystemtyper kan inledas med no för att ange filsystemtyper som inte ska åtgärdas. För mer information se mount(8).

--tree
    Aktivera trädliknande utdata om möjligt. Flaggan ignoreras tyst för tabeller där det saknas en barn-förälder-relation (t.ex. fstab).

-U, --uniq
    Ignorera filsystem med duplicerade monteringsmål, vilket effektivt hoppar över övermonterade monteringspunkter.

-u, --notruncate
    Trunkera inte text i kolumner. Standardinställningen är att inte trunkera kolumnerna TARGET, SOURCE, UUID, LABEL, PARTUUID, PARTLABEL. Denna flagga inaktiverar textavkortning även i alla andra kolumner.

-v, --nofsroot
    Skriv inte ut en [/dir] i kolumnen SOURCE för bind-mounts eller btrfs-undervolymer.

--verbose
    Tvinga findmnt att skriva ut mer information (--verify endast för tillfället).

--vfs-all
    När det används med kolumnen VFS-OPTIONS, skrivs alla VFS-flaggor (fs-oberoende) ut. Denna flagga är utformat för revisionsändamål för att lista även standardflaggor för VFS-kärnmontering som normalt inte listas.

-w, --timeout millisekunder
    Ange en övre gräns för den tid som --poll ska blockera, i millisekunder.

-x, --verify
    Kontrollera innehållet i monteringstabellen. Standardinställningen är att verifiera /etc/fstab:s tolkningsbarhet och användbarhet. Det är möjligt att använda den här flaggan även med --tab-file. Det är möjligt att ange källa (enhet) eller mål (monteringspunkt) för att filtrera monteringstabellen. Flaggan --verbose tvingar findmnt att skriva ut mer information.

-y, --shell
    Kolumnnamnet ändras så att det endast innehåller tecken som är tillåtna för identifiering av skalvariabler. Detta kan t.ex. användas med --pairs. Observera att denna funktion har aktiverats automatiskt för --pairs i version 2.37, men på grund av kompatibilitetsproblem är det nu nödvändigt att begära detta beteende av --shell.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

Utgångsvärdet är 0 om det finns något att visa, eller 1 vid fel (t.ex. om inget filsystem hittas baserat på användarens filterspecifikation, eller om enhetssökvägen eller monteringspunkten inte finns).

MILJÖ

LIBMOUNT_FSTAB= LIBMOUNT_FSTAB<path>
    åsidosätter standardplatsen för fstab-filen

LIBMOUNT_MTAB=<path>
    åsidosätter standardplatsen för mtab-filen

LIBMOUNT_DEBUG=all
    aktiverar felsökningsutmatning för libmount

LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

EXEMPEL

findmnt --fstab -t nfs
    Skriver ut alla NFS-filsystem som definieras i /etc/fstab.

findmnt --fstab /mnt/foo
    Skriver ut alla /etc/fstab-filsystem där katalogen för monteringspunkten är /mnt/foo. Den skriver också ut bindningar där /mnt/foo är en källa.

findmnt --fstab --mål /mnt/foo
    Skriver ut alla /etc/fstab-filsystem där katalogen för monteringspunkten är /mnt/foo.

findmnt --fstab --utvärdera
    Skriver ut alla /etc/fstab-filsystem och konverterar LABEL=- och UUID=-taggar till de riktiga enhetsnamnen.

findmnt -n --raw --evaluate --output=target LABEL=/boot
    Skriver endast ut den monteringspunkt där filsystemet med beteckningen "/boot" är monterat.

findmnt --poll --mountpoint /mnt/foo
    Övervakar montering, avmontering, ommontering och flyttning på /mnt/foo.

findmnt --poll=umount --first-only --mountpoint /mnt/foo
    Väntar på att /mnt/foo ska avmonteras.

findmnt --poll=remount -t ext3 -O ro
    Övervakar remounts till skrivskyddat läge på alla ext3-filsystem.

UPPHOVSPERSONER

SE ÄVEN

fstab(5), mount(8) scols-filter(5)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot findmnt ingår i paketet util-linux som kan hämtas från